Alerts
List all alerts.
API key passed in the Authorization header. Format: <api-key>
Filter results by name.
Filter results by type.
Comma-separated list of relationships to include. Available: notificationGroup, createdBy
Sort field. Prefix with - for descending. Available: name, type, created_at, last_triggered_at
Page number for pagination.
1Number of results per page.
OK
GET /api/v1/alerts HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
OK
{
"data": [
{
"id": 0,
"name": "string",
"type": "string",
"config": {
"threshold": "string"
},
"notification_group": {
"id": 0,
"company_id": 0,
"name": "string",
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
},
"last_triggered_at": null,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z"
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/alerts",
"per_page": 15,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/alerts?page=1",
"last": "https://api.example.com/api/v1/alerts?page=1",
"prev": null,
"next": null
}
}Create a new alert.
API key passed in the Authorization header. Format: <api-key>
OK
No content
Validation Error
POST /api/v1/alerts HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Get a single alert.
API key passed in the Authorization header. Format: <api-key>
The alert identifier.
Filter results by name.
Filter results by type.
Comma-separated list of relationships to include. Available: notificationGroup, createdBy
Sort field. Prefix with - for descending. Available: name, type, created_at, last_triggered_at
Page number for pagination.
1Number of results per page.
OK
No content
GET /api/v1/alerts/{alert} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
OK
No content
Update an existing alert.
API key passed in the Authorization header. Format: <api-key>
The alert identifier.
OK
No content
Validation Error
PUT /api/v1/alerts/{alert} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Delete a alert.
API key passed in the Authorization header. Format: <api-key>
The alert identifier.
OK
No content
DELETE /api/v1/alerts/{alert} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
OK
No content
Last updated
Was this helpful?